
# @@ Meta Begin
# Package mpssespi 1.0
# Meta description This package is a Tcl interface to the FTDI libMPSSE-SPI
# Meta description library that allow SPI bus control via an FTDI USB to
# Meta description serial converter chip that has the MPSSE capability.
# Meta platform    linux-glibc2.15-x86_64
# Meta require     {Tcl 8.6}
# Meta summary     Tcl Interface to libMPSSE-SPI
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.6]} return

package ifneeded mpssespi 1.0 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require Tcl 8.6

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} libmpssespi1.0.so] mpssespi

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide mpssespi 1.0

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]
